aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2018-10-18 11:55:31 +0000
committerPeter Mikus <pmikus@cisco.com>2018-10-18 13:54:04 +0000
commite44edcedef4dd2fee1c21b122b4bc6bb8586598e (patch)
treebe563dfdfed466ddff47684a0e880b1a1c4d5f45
parentac7bb33ae37729e63ed125c1eaae2f79e23c005e (diff)
FIX: Correct the packagecloud.io URL path
Change-Id: I8aae4cb85f9bb1efaa19d75e2fd7c9593f20756d Signed-off-by: Peter Mikus <pmikus@cisco.com>
-rw-r--r--bootstrap-vpp-verify-nightly.sh1
-rw-r--r--bootstrap-vpp-verify-semiweekly.sh1
-rw-r--r--bootstrap-vpp-verify-weekly.sh1
-rwxr-xr-xbootstrap.sh1
-rw-r--r--resources/libraries/bash/function/artifacts.sh4
5 files changed, 7 insertions, 1 deletions
diff --git a/bootstrap-vpp-verify-nightly.sh b/bootstrap-vpp-verify-nightly.sh
index cc2b36401b..8f47ff0c3b 100644
--- a/bootstrap-vpp-verify-nightly.sh
+++ b/bootstrap-vpp-verify-nightly.sh
@@ -55,6 +55,7 @@ else
# Download the latest VPP build install packages
rm -f *.${PACKAGE}
echo Downloading VPP packages...
+ CSIT_DIR=${SCRIPT_DIR}
source "${SCRIPT_DIR}/resources/libraries/bash/function/artifacts.sh"
download_artifacts
# Need to revert -euo as the rest of script is not optimized for this.
diff --git a/bootstrap-vpp-verify-semiweekly.sh b/bootstrap-vpp-verify-semiweekly.sh
index ecc7114113..f8b6f348eb 100644
--- a/bootstrap-vpp-verify-semiweekly.sh
+++ b/bootstrap-vpp-verify-semiweekly.sh
@@ -65,6 +65,7 @@ if [ "${#}" -ne "0" ]; then
echo ${arr[0]}
else
# Download the latest VPP build install packages
+ CSIT_DIR=${SCRIPT_DIR}
source "${SCRIPT_DIR}/resources/libraries/bash/function/artifacts.sh"
download_artifacts
# Need to revert -euo as the rest of script is not optimized for this.
diff --git a/bootstrap-vpp-verify-weekly.sh b/bootstrap-vpp-verify-weekly.sh
index d96e2d1f37..feced87411 100644
--- a/bootstrap-vpp-verify-weekly.sh
+++ b/bootstrap-vpp-verify-weekly.sh
@@ -61,6 +61,7 @@ else
# Download the specific VPP build install packages
DKMS_VERSION=$(< ${SCRIPT_DIR}/DPDK_STABLE_VER)
VPP_VERSION=$(< ${SCRIPT_DIR}/VPP_STABLE_VER_${DISTRO})
+ CSIT_DIR=${SCRIPT_DIR}
source "${SCRIPT_DIR}/resources/libraries/bash/function/artifacts.sh"
download_artifacts
# Need to revert -euo as the rest of script is not optimized for this.
diff --git a/bootstrap.sh b/bootstrap.sh
index 015858b1fd..d37f704aa1 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -46,6 +46,7 @@ if [ "${#}" -ne "0" ]; then
else
DKMS_VERSION=$(< ${SCRIPT_DIR}/DPDK_STABLE_VER)
VPP_VERSION=$(< ${SCRIPT_DIR}/VPP_STABLE_VER_${DISTRO})
+ CSIT_DIR=${SCRIPT_DIR}
source "${SCRIPT_DIR}/resources/libraries/bash/function/artifacts.sh"
download_artifacts
# Need to revert -euo as the rest of script is not optimized for this.
diff --git a/resources/libraries/bash/function/artifacts.sh b/resources/libraries/bash/function/artifacts.sh
index 07a04c4b73..5ead2980b7 100644
--- a/resources/libraries/bash/function/artifacts.sh
+++ b/resources/libraries/bash/function/artifacts.sh
@@ -18,6 +18,8 @@ set -exuo pipefail
function download_artifacts () {
# Get and/or install VPP artifacts from packagecloud.io.
#
+ # Variables read:
+ # - CSIT_DIR - Path to existing root of local CSIT git repository.
# Variables set:
# - REPO_URL - FD.io Packagecloud repository.
@@ -27,7 +29,7 @@ function download_artifacts () {
die "Get OS release failed."
}
- repo_url_path="./VPP_REPO_URL"
+ repo_url_path="${CSIT_DIR}/VPP_REPO_URL"
if [ -e "${repo_url_path}" ]; then
REPO_URL="$(<${repo_url_path})" || {
die "Read repo URL from ${repo_url_path} failed."